> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reopen a period

> Reopen a period

### Path parameters

<ParamField path="id" type="string" required>
  GL period ID
</ParamField>

### Responses

<ResponseField name="200" type="GlPeriodResponse" />

<ResponseField name="409" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/gl/periods/{id}/reopen' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "closed_at": null,
    "closed_by": null,
    "created_at": "string",
    "end_date": "string",
    "fiscal_year": 1,
    "id": "string",
    "locked_at": null,
    "locked_by": null,
    "period_name": "string",
    "period_number": 1,
    "start_date": "string",
    "status": "string"
  }
  ```
</ResponseExample>
